import mysql.simplesql as sql


def insertShop(shop):
    code = shop.get('code', None)
    yield sql.Insert(table='shop', values={
        'code': code,
        'extendedoptions': shop.get('extendedoptions', None),
        'title': shop.get('title', None),
        'address': shop.get('address', None),
        'innexcise': shop.get('innexcise', None),
        'kppexcise': shop.get('kppexcise', None),
        'fsraridexcise': shop.get('fsraridexcise', None),
        'innnonexcise': shop.get('innnonexcise', None),
        'kppnonexcise': shop.get('kppnonexcise', None),
        'fsraridnonexcise': shop.get('fsraridnonexcise', None),
        'vendorname': shop.get('vendorname', None),
        'vendorlegaladdress': shop.get('vendorlegaladdress', None),
        'vendorinn': shop.get('vendorinn', None),
        'vendorkpp': shop.get('vendorkpp', None),
        'shippername': shop.get('shippername', None),
        'shipperaddress': shop.get('shipperaddress', None)
    })

    labelcodes = shop.get('labelcodes', [])
    yield sql.DeleteNotNestedItems(table='shoptoshoplabels', mainCodeField='shopcode', mainCodeValue=code,
            nestedCodeField='shoplabelcode', nestedCodeIn=labelcodes)
    for labelcode in labelcodes:
        yield sql.Insert(table='shoptoshoplabels', values={'shopcode': code, 'shoplabelcode': labelcode})


def deleteShop(shop):
    for i in deleteShopByCode(shop.get('code', None)):
        yield i


def deleteShopByCode(code):
    yield sql.Delete(table='shop', whereFields=['code'], whereValues=[code])
    yield sql.Delete(table='shoptoshoplabels', whereFields=['shopcode'], whereValues=[code])


def clearShop():
    yield sql.DeleteAll('shop')
    yield sql.DeleteAll('shoptoshoplabels')
